'use strict';

const path = require('path');
const promises = require('fs/promises');
const mri = require('mri');
const build = require('./chunks/build.js');
require('util');
require('module');
require('upath');
require('chalk');
require('consola');
require('rimraf');
require('defu');
require('pretty-bytes');
require('jiti');
require('rollup');
require('@rollup/plugin-commonjs');
require('@rollup/plugin-node-resolve');
require('@rollup/plugin-alias');
require('rollup-plugin-esbuild');
require('rollup-plugin-dts');
require('untyped');
require('scule');
require('mkdist');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

const mri__default = /*#__PURE__*/_interopDefaultLegacy(mri);

async function main() {
  const args = mri__default['default'](process.argv.splice(2));
  if (args.all) {
    const pkgsDir = path.resolve(process.cwd(), "packages");
    const pkgs = await promises.readdir(pkgsDir);
    for (const pkg of pkgs) {
      await build.build(path.resolve(pkgsDir, pkg), args.stub);
    }
  } else {
    await build.build(path.resolve(process.cwd(), args._[0] || "."), args.stub);
  }
}
main().catch((err) => {
  console.error(err);
  process.exit(1);
});
