import { resolve } from 'path';
import { readdir } from 'fs/promises';
import mri from 'mri';
import { b as build } from './chunks/build.mjs';
import 'util';
import 'module';
import 'upath';
import 'chalk';
import 'consola';
import 'rimraf';
import 'defu';
import 'pretty-bytes';
import 'jiti';
import 'rollup';
import '@rollup/plugin-commonjs';
import '@rollup/plugin-node-resolve';
import '@rollup/plugin-alias';
import 'rollup-plugin-esbuild';
import 'rollup-plugin-dts';
import 'untyped';
import 'scule';
import 'mkdist';

async function main() {
  const args = mri(process.argv.splice(2));
  if (args.all) {
    const pkgsDir = resolve(process.cwd(), "packages");
    const pkgs = await readdir(pkgsDir);
    for (const pkg of pkgs) {
      await build(resolve(pkgsDir, pkg), args.stub);
    }
  } else {
    await build(resolve(process.cwd(), args._[0] || "."), args.stub);
  }
}
main().catch((err) => {
  console.error(err);
  process.exit(1);
});
